<?php
if (file_exists("embedded/functions/site_functions.php"))
	{
	include_once("embedded/functions/site_functions.php");
	}
else
	{
include_once("../../embedded/functions/site_functions.php");
	}
$device_id=$_SESSION['device_id'];	
$language=$_SESSION['language'];	
if ($language==1)
	{
	$head1=" Όνομα σεναρίου ";
	$head2=" Συνθήκες:";
	$head3="Αισθητήρας θερμοκασίας:";
	$head4="Αισθητήρας υγρασίας:";
	$head5="Αισθητήρας φωτισμού:";
	$head6="Αισθητήρας υγρασίας εδάφους:";
	$head7="Από";
	$head8="Έως:";
	$or="ή";
	$and="και";
	$wet="υγρό";
	$dry="Ξηρό";
	$head9="Έδαφος:";
	$problem="Πρόβλημα βάσης δεδομένων";
	$step2="Βήμα 2: Σύνοψη και Επιλογή Συσκευών";
	$step1="Πίσω στο βήμα 1";
	$save="Αποθήκευση";
	$clear="Ακύρωση";
	$pattern="/[^_A-Za-zάΆέΈήΉίΊόΌύΎώΏΖζΧχΨψωΩβΒνΝμΜΛλΚκΞξΗηΓγΦφΔδΣσΑαςΕεΡρΤτΥυΘθΙιΟοπΠ0-9\' ']/";
	$hd8="Αλλαγή στις συσκευές με τις on/off ενδείξεις!";
	}
else
	{
	$head1=" Scenario name: ";
	$head2="Conditions:";
	$head3="Temperature sensor:";
	$head4="Humidity sensor:";
	$head5="Indoor Lighting sensor:";
	$head6="Soil Moisture sensor:";
	$head7="From:";
	$head8="To:";
	$or="or";
	$and="and";
	$wet="Wet";
	$dry="Dry";
	$head9="Status:";
	$problem="Database problem!";
	$step2="Step 2: Summary and Devices";
	$step1="Go to Step 1";
	$save="Save";
	$clear="Clear";
	$pattern="/[^_A-Za-z0-9\' ']/";	
	$hd8="Make changes by on/off buttons!";
	}

$scenario="";
$msg="";
if (isset($_GET['a']) && !empty($_GET['a']))
{
db_open();
$data= array("","","","","","","","","","","","","","","","","","","","");
$a= strip_tags(htmlspecialchars(mysql_real_escape_string(trim($_GET["a"]))));
	if (preg_match($pattern, $a))
	{
	$msg="$problem";
	}
	else
	{
	$scenario_name=$a;
	$data[0]=$scenario_name;
	$msg='<span class="summary_title">'.$head1.'</span><b><a id="s_n">'.$scenario_name.'</a></b><br /><span class="con">'.$head2.'</span>';
	for ($i=1;$i<=5;$i++)
		{
		$sen="sen".$i;
		if (isset($_GET[$sen]) && !empty($_GET[$sen]))
			{
			$s=$_GET[$sen];
			if ($s =="t" ||$s =="h" || $s =="i")
				{
				if ($s=="t")
					{
					$s="temp";
					$u_l="96";
					$b="1";
					$title="$head3";
					$d="C";
					}
				else if ($s=="h")
					{
					$s="hum";
					$u_l="101";
					$b="6";
					$title="$head4";
					$d="%";
					}
				else
					{
					$s="inli";
					$u_l="1001";
					$b="11";
					$title="$head5";
					$d="";
					}					
				if (((isset($_GET[$s.'1']) && !empty($_GET[$s.'1'])) && (isset($_GET[$s.'2']) && !empty($_GET[$s.'2'])) && is_numeric($_GET[$s.'1']) && is_numeric($_GET[$s.'2'])) && ((isset($_GET[$s.'_rule']) && !empty($_GET[$s.'_rule'])) && (!preg_match("/[^_A-Za-z0-9\' ']/", $_GET[$s.'_rule']))) )
					{
					if ((!preg_match("/^-[(0-9).(0-9)]*$/i", $_GET[$s.'1']) || !preg_match("/^[(0-9).(0-9)]*$/i", $_GET[$s.'1'])) && (!preg_match("/^-[(0-9).(0-9)]*$/i", $_GET[$s.'2']) || !preg_match("/^[(0-9).(0-9)]*$/i", $_GET[$s.'2'])))
						{
						if (($_GET[$s.'1'] >= 0.00 || $_GET[$s.'1']!="-".$_GET[$s.'1'] || $_GET[$s.'1']<=$u_l) && ($_GET[$s.'2'] >= 0.00 || $_GET[$s.'2']="-".$_GET[$s.'2'] || $_GET[$s.'2']<=$u_l) && ($_GET[$s.'_rule']=="or" || $_GET[$s.'_rule']=="and" || $_GET[$s.'_rule']=="none" || $_GET[$s.'_rule']=="no" || $_GET[$s.'_rule']=="empty"))
							{
							$data[$b]="1";
							$data[$b+1]=$i;
							$data[$b+2]=$_GET[$s.'1'];
							$data[$b+3]=$_GET[$s.'2'];
							${$s.'_rule'}=$_GET[$s.'_rule'];
							if (${$s.'_rule'}=="or")
								{
								${$s.'_rule'}="1";
								$r="$or";
								}
							else if(${$s.'_rule'}=="and")
								{
								${$s.'_rule'}="2";
								$r="$and";
								}
							else
								{
								${$s.'_rule'}="0";
								$r="";
								}
							$data[$b+4]=${$s.'_rule'};
							}
						}		
					}
				$msg=$msg.'<br /><span class="summary_title">'.$title.'</span><span class="summary_data"> '.$head7.' <b>'.$_GET[$s.'1'].$d.'</b> '.$head8.' <b>'.$_GET[$s.'2'].$d.'</b></span> <span class="con">'.strtoupper($r).'</span>';
				}
			else if ($s=="s")
				{
				$s="somo";
				$b="16";
				$title="$head6";
				if ((isset($_GET[$s]) && !empty($_GET[$s]) && ($_GET[$s]=="yes" || $_GET[$s]=="no")) && ((isset($_GET[$s.'_rule']) && !empty($_GET[$s.'_rule'])) && (!preg_match("/[^_A-Za-z0-9\' ']/", $_GET[$s.'_rule'])) && ($_GET[$s.'_rule']=="or" || $_GET[$s.'_rule']=="and" || $_GET[$s.'_rule']=="none" || $_GET[$s.'_rule']=="no" || $_GET[$s.'_rule']=="empty"))) 
					{
					$data[$b]="1";
					$data[$b+1]=$i;
					if ($_GET[$s]=="yes")
						{
						$data[$b+2]="1";
						$_GET[$s]="$wet";
						}
					else
						{
						$data[$b+2]="0";
						$_GET[$s]="$dry";
						}
					${$s.'_rule'}=$_GET[$s.'_rule'];
						if (${$s.'_rule'}=="or")
								{
								${$s.'_rule'}="1";
								$r="$or";
								}
							else if(${$s.'_rule'}=="and")
								{
								${$s.'_rule'}="2";
								$r="$and";
								}
							else
								{
								${$s.'_rule'}="0";
								$r="";
								}
					$data[$b+3]=${$s.'_rule'};
					}
				$msg=$msg.'<br /><span class="summary_title">'.$title.'</span><span class="summary_data"> '.$head9.' <b>'.$_GET[$s].'</b></span> <span class="con">'.strtoupper($r).'</span>';
				}
			}
		
		
		}
		$d="";
		for($d=0; $d<=19; $d++)
			{
			if ($data[$d]=="")
				{
				$data[$d]="0";
				}
			}
	
	$scenario=$data[0];
	$x=scenario_insert($data[0],$device_id,$data[1],$data[2],$data[3],$data[4],$data[5],$data[6],$data[7],$data[8],$data[9],$data[10],$data[11],$data[12],$data[13],$data[14],$data[15],$data[16],$data[17],$data[18],$data[19],"0","0","0");
	if ($x!="1")
		{
		$msg="$problem";
		}
	else
		{
		$id=scenario_id($scenario);
		if ($id==0)
			{
			$msg="$problem";
			}
		else
			{
			$sid=$id;
			}
		}
	}
db_close();
	}
echo<<<CP
<div id="cp">
<span class="step">$step2</span>
<div id="summary">
$msg
<br />
<input type="button" value="$step1" onclick="visibility(0);" />
</div>
CP;
require("../../embedded/functions/scenario_devices.php");
echo'<div id="s_msg">'.$hd8.'</div>';
echo'<input type="button" class="step3_button1" value="'.$save.'" onclick="save_scenario(1,'.$sid.');" />';
echo'<input type="button" class="step3_button2" value="'.$clear.'" onclick="save_scenario(2,'.$sid.');" /> </div>';

?>